clear, clc, close all

addpath('Output')

addpath('InputFolder')

% load speciesDensities_HeN2vibO2.mat
load speciesDensities.mat

% Get fileID
fid = fopen('initialValues.csv');
% Get format for every species information field(1)(2), hier every format is character string
format='%s%s%s';
% Use komma to be the delimiter
delimiter=',';
% Seperate every column information info field, save into cell array speciesProperties
a=textscan(fid,format,'Delimiter', delimiter,'HeaderLines',1);
% close file
fclose(fid);


new_initialValues = num2str([n_density(end,1:end-1)'; str2double(a{2}{end-1}); str2double(a{2}{end})]);
new_cell = cellstr(new_initialValues);
a{2} = new_cell;


% Convert cell to a table and use first row as variable names
% T = cell2table(a,'VariableNames',["Name","initialValues","unit"])
T = table(a{1},a{2},a{3},'VariableNames',["Name","initialValues","unit"]);
 
% Write the table to a CSV file
writetable(T,'initialValues_gai.csv')

